Imports System.IO
Imports System.Data.SqlClient
Imports System.Data
Imports RvDataUtil.Formatting



Public Class admin_news
    Inherits System.Web.UI.Page


    Dim count As Integer = 0

    Public siteURL As String = ""
    Dim objData As New RvDataUtil.DataUtil
    Dim aList As New ArrayList()
    Dim strError As String = ""

    Dim idfield As String = "newsID"
    Dim tablename As String = "tblNews"
    Public pagetitle As String = "News"

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        SiteLogic.initFredCK(Me.fckTeaser)
        SiteLogic.initFredCK(Me.fckBody, , , 400)
        SiteLogic.initFredCK(Me.fckTeaser_sp)
        SiteLogic.initFredCK(Me.fckBody_sp, , , 400)

    End Sub

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here
        siteURL = ConfigurationManager.AppSettings("siteURL")

        If (Not BusinessLogic.IsLoggedIn_admin) Then
            Response.Redirect("~/admin/admin.aspx")
        End If

        If (Not IsPostBack) Then
            Try

                binddgList()

                Dim backcolor As String = ConfigurationManager.AppSettings("backcolor")
                Dim forecolor As String = ConfigurationManager.AppSettings("forecolor")
                Me.btnSubmit.ForeColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.btnSubmit.BackColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.btnSubmit.Font.Bold = True

                Me.dgList.HeaderStyle.BackColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.dgList.HeaderStyle.ForeColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.dgList.HeaderStyle.Font.Bold = True


            Catch ex As Exception
                Trace.Warn("Error: " & ex.Message & ", " & ex.StackTrace)
            End Try
        End If
    End Sub

    Sub click_search(ByVal s As Object, ByVal e As System.EventArgs) Handles btnSearch.Click
        binddgList()
    End Sub


    '---------------------------------------------
    ' displaying list 
    '---------------------------------------------
    Private Sub binddgList()
        '-- load up the datagrid now
        Dim query As String = ""

        Dim sort As String = "Headline"
        Dim qrywhere As String = "(isnull(blogflag,0)=0)"
        If (Me.txtSearch_name.Text <> "") Then
            Dim srch As String = Replace(Me.txtSearch_name.Text, "'", "''")
            qrywhere += " and ((headline like '%" & srch & "%') or (body like '%" & srch & "%'))"
        End If
        If Len(ViewState("sortNews")) > 0 Then sort = ViewState("sortNews")

        aList.Clear()
        aList.Add(RvDataUtil.Formatting.getDbIntNull(BusinessLogic.GetLoginInfo_admin("userid"), 0))
        aList.Add(qrywhere)
        aList.Add(sort)

        Dim ds As DataSet = objData.ExecuteSPDataset("usp_adminNews", "list", aList, strError)
        Trace.Warn("strError=" & strError)

        If (ds.Tables(0).Rows.Count = 0) Then
            Me.dgList.Visible = False
            Me.litMessage.Text = "There are currently no news items."
        Else
            If (ds.Tables(0).Rows.Count < Me.dgList.PageSize) Then
                Me.dgList.PagerStyle.Visible = False
            Else
                Me.dgList.PagerStyle.Visible = True
            End If
            Me.dgList.Visible = True
            Me.litMessage.Text = "<br>There are " & ds.Tables(0).Rows.Count & " records"
        End If
        Me.dgList.DataKeyField = idfield
        Me.dgList.DataSource = ds
        Me.dgList.DataBind()



        ds = Nothing
        objData.CloseConnection()
    End Sub

    Sub dgList_onitemdatabound(ByVal s As Object, ByVal e As DataGridItemEventArgs) Handles dgList.ItemDataBound
        If (e.Item.ItemType = ListItemType.AlternatingItem) Or (e.Item.ItemType = ListItemType.Item) Then
            Try
                CType(e.Item.FindControl("litDatagridID"), Literal).Text = objData.Nz(e.Item.DataItem(idfield), "")
                Trace.Write("dgList", "litDatagridID=" & objData.Nz(e.Item.DataItem(idfield), ""))

            Catch ex As Exception
                Trace.Warn("OnItemDataBound error: " & ex.StackTrace)
            End Try

            If e.Item.ItemType = ListItemType.Item Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='white'")
            End If
            If e.Item.ItemType = ListItemType.AlternatingItem Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='#f0f3ff'")
            End If
            'e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='" & headerHead_inc.getAccentBg() & "'")
            e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='#f0f0a0'")

        ElseIf (e.Item.ItemType = ListItemType.EditItem) Then
        End If

        Dim lb As ImageButton = CType(e.Item.FindControl("ibtnDel"), ImageButton)
        If Not lb Is Nothing Then
            lb.Attributes.Add("onClick", "return confirm('Are you sure you wish to delete this item?\nID=" & e.Item.DataItem(idfield) & "')")
        End If
    End Sub
    Sub dgList_command(ByVal s As Object, ByVal e As DataGridCommandEventArgs)
        Trace.Write("command=" & e.CommandName.ToString())
        If (e.CommandName.ToString() = "Update") Then
        ElseIf (e.CommandName.ToString() = "Delete") Then
            Try
                Dim ID As String = CType(e.Item.FindControl("litDatagridID"), Literal).Text
                Trace.Write("IN DELETE. ID=" & ID)
                Dim dgi As DataGridItem = Me.dgList.Items(e.Item.ItemIndex)

                Dim qry As String = "DELETE From " & tablename & " WHERE " & idfield & "=" & ID
                objData.GetValueDataSet(qry, "table", "")

                objData.CloseConnection()
                dgList.EditItemIndex = -1
                Me.binddgList()
            Catch ex As Exception
                Trace.Warn("deleting...", "Error: " & ex.Message & "; " & ex.StackTrace)
            End Try

        ElseIf (e.CommandName.ToString() = "Edit") Then
            Dim ID As String = CType(e.Item.FindControl("litDatagridID"), Literal).Text
            Me.loadForm(ID)
        End If
    End Sub
    Sub dgList_SortCommand(ByVal s As Object, ByVal e As DataGridSortCommandEventArgs)
        Trace.Write("inside sortCommand=" & e.SortExpression.ToString)
        Dim sort As String = e.SortExpression
        If (sort = "ID") Then sort = idfield
        If (ViewState("sortNews") = sort) Then
            sort += " desc"
        End If
        ViewState("sortNews") = sort
        dgList.CurrentPageIndex = 0
        binddgList()
    End Sub
    Sub dgList_PageIndexChanged(ByVal s As Object, ByVal e As DataGridPageChangedEventArgs)
        dgList.CurrentPageIndex = e.NewPageIndex
        binddgList()
    End Sub




    Public Sub ShowList(ByVal sender As Object, ByVal e As System.EventArgs)
        Trace.Write("showlist...")
        Me.pnlDatagrid.Visible = True
        Me.pnlEditForm.Visible = False
    End Sub
    Public Sub AddNew(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.loadForm("")
    End Sub


    Sub loadForm(Optional ByVal ID As String = "")
        Trace.Write("inside LoadForm.ID=" & ID)
        Me.pnlDatagrid.Visible = False
        Me.pnlEditForm.Visible = True

        If Len(ID) > 0 And IsNumeric(ID) Then
            litEditForm.Text = "Edit " & pagetitle & ":"
        Else
            litEditForm.Text = "Add New " & pagetitle & ":"
            ID = "-1"
        End If

        Try

            Dim query As String = ""
            If (ID = "") Then ID = "0"

            query = "select * from " & tablename & " where " & idfield & "=" & ID
            Dim dr As SqlDataReader = objData.ExecuteDataReader(query, "")
            If (dr.Read) Then
                Trace.Write("setting up form fields -- edit")
                Me.litID.Text = objData.Nz(dr("newsID"), "")
                Me.txtPostDate.Text = objData.Nz(dr("PostDate"), "")
                Me.txtRemoveDate.Text = objData.Nz(dr("removeDate"), "")
                If Len(Me.txtPostDate.Text) > 0 Then
                    Me.txtPostDate.Text = CDate(dr("PostDate")).ToShortDateString
                End If
                If Len(Me.txtRemoveDate.Text) > 0 Then
                    Me.txtRemoveDate.Text = CDate(dr("removeDate")).ToShortDateString
                End If

                Me.txtHeadline.Text = objData.Nz(dr("headline"), "")
                Me.txtHeadline_sp.Text = objData.Nz(dr("headline_sp"), "")
                Me.txtImageName.Text = objData.Nz(dr("imagename"), "")
                Me.txtFilename.Text = objData.Nz(dr("filename"), "")
                Me.txtFileCaption.Text = objData.Nz(dr("filecaption"), "")
                Me.txtFileCaption_sp.Text = objData.Nz(dr("filecaption_sp"), "")
                Me.rblActive.SelectedIndex = rblActive.Items.IndexOf(rblActive.Items.FindByValue(RvDataUtil.Formatting.getDbIntNull(dr("active"), 0)))
                Me.rblHomepageFlag.SelectedIndex = rblHomepageFlag.Items.IndexOf(rblHomepageFlag.Items.FindByValue(RvDataUtil.Formatting.getDbIntNull(dr("HomepageFlag"), 0)))
                Me.rblArchived.SelectedIndex = rblArchived.Items.IndexOf(rblArchived.Items.FindByValue(RvDataUtil.Formatting.getDbIntNull(dr("Archived"), 0)))
                'Me.rblImportantFlag.SelectedIndex = rblImportantFlag.Items.IndexOf(rblImportantFlag.Items.FindByValue(SiteLogic.getDbIntNull(dr("ImportantFlag"), 0)))


                Me.fckTeaser.Value = objData.Nz(dr("teaser"), "")
                Me.fckBody.Value = objData.Nz(dr("body"), "")

                Me.fckTeaser_sp.Value = objData.Nz(dr("teaser_sp"), "")
                Me.fckBody_sp.Value = objData.Nz(dr("body_sp"), "")

                Me.litCreateDate.Text = objData.Nz(dr("createdate"), "")
                Me.litCreatedBy.Text = objData.Nz(dr("createdby"), "")
                Me.litModifyDate.Text = objData.Nz(dr("modifydate"), "")
                Me.litModifiedBy.Text = objData.Nz(dr("modifiedby"), "")
            Else
                Me.txtRemoveDate.Text = ""
                Me.txtPostDate.Text = Today()
                Me.litID.Text = ""
                Me.txtHeadline.Text = ""
                Me.txtHeadline_sp.Text = ""
                Me.txtImageName.Text = ""
                Me.txtFilename.Text = ""
                Me.txtFileCaption.Text = ""
                Me.txtFileCaption_sp.Text = ""
                Me.rblActive.SelectedIndex = 0
                Me.rblHomepageFlag.SelectedIndex = 1
                Me.rblArchived.SelectedIndex = 1
                'Me.rblImportantFlag.SelectedIndex = 1
                Me.fckTeaser.Value = ""
                Me.fckBody.Value = ""
                Me.fckTeaser_sp.Value = ""
                Me.fckBody_sp.Value = ""

                Me.litCreateDate.Text = ""
                Me.litCreatedBy.Text = ""
                Me.litModifyDate.Text = ""
                Me.litModifiedBy.Text = ""
            End If
            dr.Close()
            dr = Nothing
        Catch ex As Exception
            Trace.Warn("loadSummary", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try
        objData.CloseConnection()
    End Sub



    '------------------------------------------------------------------------
    ' saving Information -- when creating item, or editing as admin
    '------------------------------------------------------------------------
    Public Sub SaveRecord(ByVal sender As Object, ByVal e As System.EventArgs)
        Trace.Write("saverecord", "ID=" & Me.litID.Text)
        Dim ID As String = Me.litID.Text
        If (ID = "") Then ID = "0"
        If (Not Page.IsValid) Then
            Exit Sub
        End If

        aList.Clear()
        aList.Add(getDbDate(Me.txtPostDate.Text))
        aList.Add(getDbDate(Me.txtRemoveDate.Text))
        aList.Add(Me.txtHeadline.Text)
        aList.Add(Me.txtHeadline_sp.Text)
        aList.Add(Me.fckTeaser.Value)
        aList.Add(Me.fckTeaser_sp.Value)
        aList.Add(Me.fckBody.Value)
        aList.Add(Me.fckBody_sp.Value)
        aList.Add(Me.txtImageName.Text)
        aList.Add(Me.txtFilename.Text)
        aList.Add(Me.txtFileCaption.Text)
        aList.Add(Me.txtFileCaption_sp.Text)
        aList.Add(0)        '--blogflag
        aList.Add(getDbBit(Me.rblHomepageFlag))
        aList.Add(getDbBit(Me.rblArchived))
        aList.Add(RvDataUtil.Formatting.getDbBit(Me.rblActive))
        aList.Add(BusinessLogic.GetLoginInfo_admin("name"))       '--user
        aList.Add(getDbIntNull(ID, 0))

        'objData.showParameters("usp_insertNews", aList)
        If (Not objData.ExecuteSP("usp_insertNews", aList, strError)) Then
            Trace.Warn("usp_insertNews.error: " & strError)
            Exit Sub
        End If

        objData.CloseConnection()

        Me.pnlDatagrid.Visible = True
        Me.pnlEditForm.Visible = False
        Me.binddgList()


    End Sub


End Class

