﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="portfolio.aspx.vb" Inherits="portfolio" %>

<!DOCTYPE html>
<html>
    <head>
        <title>Portfolio | Corner Stone Landscaping, Adair Iowa</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="css/bootstrap.min.css" rel="stylesheet" media="screen">
        <link href="css/bootstrap-responsive.min.css" rel="stylesheet" media="screen">
        <link href="css/csl.css" rel="stylesheet" media="screen">
        
        <!-- HTML5 shim for IE backwards compatibility -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    
      <link REL="SHORTCUT ICON" href="favicon.ico" /> 
    
        <meta name="description" content="Please take a moment to review our extensive portfolio of landscaping projects in central Iowa.">
        
<meta name="keywords" content="Patios, Landscaping, Outdoor Living Space, Fire Pits, Water Features, Tree Care, Shrubs and Tree management">
        
    </head>

<body>
<div style="background-color:#fff;">
    <form runat="server">

<div class="visible-phone">
	<div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <button class="btn btn-navbar collapsed" data-target=".nav-collapse" data-toggle="collapse"  type="button">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a href="#" class="brand">Menu</a>
          <div class="nav-collapse collapse">
            <ul class="nav">
              <li class=""><a href="default.asp" >Home</a></li>
              <!--<li class=""><a href="about_us.asp">About Us</a></li>-->
              <li class=""><a href="services.asp">Services</a></li>
              <li class="active"><a href="portfolio.aspx">Portfolio</a></li>
              <li><a href="products.asp">Products</a></li>
              <li><a href="apply.asp">Apply</a></li>
              <li class=""><a href="contact_us.asp">Contact Us</a></li>

            </ul>
          </div>
        </div>
      </div>
    </div>
</div>
<div class="container">
	<div class="row top">
   	  <div class="span12">
        
        <a href="default.asp"><h1 class="logo">Corner Stone Landscaping</h1></a>
        
         <div class="nav_container">
          <span class="phone"> Need a Quote? (641) 742-3009</span>
           <ul class="nav nav-pills">
           <li class=""><a href="default.asp" >Home</a></li>
              <!--<li class=""><a href="about_us.asp">About Us</a></li>-->
              <li class=""><a href="services.asp">Services</a></li>
              <li class="active"><a href="portfolio.aspx">Portfolio</a></li>
              <li><a href="products.asp">Products</a></li>
              <li><a href="apply.asp">Apply</a></li>
              <li class=""><a href="contact_us.asp">Contact Us</a></li>
            </ul>
            </div>
        
            
            
           
            
      <!--end of span12--></div>
        
         
         

    
    
    <!--end of row--></div>
<!--end of container--></div>

<div class="inside_wrap">

	<div class="container">
    	<div class="row">
        	<div class="span12">
            <h1>Corner Stone Landscaping Portfolio</h1>
            	<div class="pad">
                <p>Thank you for visiting Corner Stone Landscaping! Please feel free to browse our portfolio to see some of our recent projects. If you are looking for a specific project type, and don't see pictures, <a href="contact_us.asp">Contact Us</a> and we'll let you know if we have any other examples that haven't been posted to the site!</p>
                
<ul class="portfolio_categories">
    <asp:Repeater ID="rptCategories" runat="server">
        <ItemTemplate>
            <li><asp:Literal ID="litImage" runat="server" /><span><a href="portfolioCategory.aspx?catid=<%#Eval("categoryID")%>"><%#Eval("category")%></a></span></li>
        </ItemTemplate>
    </asp:Repeater>
</ul>
                 <div style="clear:both;"></div>
                <!--end of pad-->
            	</div>
        	</div>          
        </div>
    </div>
</div>
<!--end of inside_wrap--></div>

</div>
<!--#include file="footer.inc" -->




<script src="http://code.jquery.com/jquery.js"></script>
<script src="js/bootstrap.min.js"></script>

    </form>
</body>
</html>