Imports System.IO
Imports System.Data.SqlClient
Imports System.Data
Imports RV = RvDataUtil.Formatting



Public Class admin_db
    Inherits System.Web.UI.Page

    Dim count As Integer = 0

    Public siteURL As String = ""
    Dim objData As New RvDataUtil.DataUtil
    Dim strError As String = ""

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here
        siteURL = ConfigurationManager.AppSettings("siteURL")

        If (Not BusinessLogic.IsLoggedIn_admin) Then
            Response.Redirect("~/admin/admin.aspx")
        End If

        If (Not IsPostBack) Then
            Try


            Catch ex As Exception
                Trace.Warn("Error: " & ex.Message & ", " & ex.StackTrace)
            End Try
        End If
    End Sub


    Sub choose_script(ByVal s As Object, ByVal e As System.EventArgs) Handles drpScript.SelectedIndexChanged
        If (drpScript.SelectedIndex > 0) Then
            Dim scriptname As String = drpScript.SelectedValue.ToLower
            Dim strSQL As New StringBuilder()
            Dim CR As String = Chr(13)
            If (scriptname = "modify date") Then
                strSQL.Append("SELECT name, create_date, modify_date, [type]" & CR)
                strSQL.Append("FROM sys.objects" & CR)
                strSQL.Append("--uncomment line below to only show SP and Functions" & CR)
                strSQL.Append("--WHERE (type = 'P') or (type = 'FN')" & CR)
                strSQL.Append("order by modify_date desc" & CR)
            ElseIf (scriptname = "list tables") Then
                strSQL.Append("SELECT * FROM information_schema.tables" & CR)
                strSQL.Append("Order by table_name")

            ElseIf (scriptname = "list columns") Then
                strSQL.Append("--BE SURE TO PUT YOUR TABLE NAME IN BELOW" & CR & CR)
                strSQL.Append("SELECT c.name as 'Column Name', t.Name as 'Data type'," & CR)
                strSQL.Append("c.max_length as 'Max Length', c.precision, c.scale, c.is_nullable" & CR)
                strSQL.Append("FROM   sys.columns c" & CR)
                strSQL.Append(" INNER JOIN  sys.types t ON c.system_type_id = t.system_type_id" & CR)
                strSQL.Append("WHERE c.object_id = OBJECT_ID('tblSessions')")
            ElseIf (scriptname = "list sp") Then
                strSQL.Append("select name, create_date, modify_date " & CR)
                strSQL.Append("From sys.procedures order by name")
            ElseIf (scriptname = "view sp") Then
                strSQL.Append("--You may not have permissions to view SP--" & CR & CR)
                strSQL.Append("exec sp_helpText 'YOUR_SP_HERE'" & CR)
            ElseIf (scriptname = "errors") Then
                strSQL.Append("Select top 100 * From tblErrors " & CR)
                strSQL.Append("Order by ErrorID desc" & CR)

            End If

            Me.txtQuery.Text = strSQL.ToString
        End If
    End Sub


    Sub click_submit(ByVal s As Object, ByVal e As System.EventArgs) Handles btnSubmit.Click
        Trace.Warn("--inside click_submit()--")

        If (Me.txtQuery.Text = "") Then
            Trace.Warn("...exiting. txtQuery="""". ")
            Exit Sub
        End If

        Dim qry As String = Me.txtQuery.Text
        Dim ds As DataSet = objData.GetValueDataSet(qry, "list", "", strError)
        If (strError <> "") Then
            Me.litMessage.Text = "Error: " & strError & "<br>"
        Else
            Me.litMessage.Text = "Executed okay.<br>"
        End If

        Me.litRows.Text = "Result Sets Returned: " & ds.Tables.Count & ".<br>"
        Me.dgInfo.Visible = False
        If (ds.Tables.Count > 0) Then
            For x As Integer = 0 To ds.Tables.Count - 1
                Me.litRows.Text += "... set [" & x & "] has " & ds.Tables(x).Rows.Count & " rows<br>"
            Next
            If (ds.Tables(0).Rows.Count > 0) Then
                Me.dgInfo.Visible = True
                Me.dgInfo.DataSource = ds.Tables(0)
                Me.dgInfo.DataBind()
            End If
        End If

        objData.CloseConnection()
    End Sub

End Class

