Imports System.IO
Imports System.Text
Imports System.Data


Public Class admin_upload
    Inherits System.Web.UI.Page


    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        If (Request.QueryString("showt") = "yes") Then
            Page.Trace.IsEnabled = True
        End If
    End Sub

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here

        If (Not IsPostBack) Then
            Try
                If Request("foldername") <> "" Then
                    Me.litfoldername.Text = Request("foldername")
                Else
                    Me.litfoldername.Text = "/userdocs/"
                End If

                If (Request.QueryString("copy") = "y") Then
                    Me.litCopyImage.Text = "yes"
                End If

                Dim appPath As String = ConfigurationManager.AppSettings("AppPath")
                appPath = ResolveUrl("~/")
                Dim fullPath As String = Server.MapPath("~/")

				trace.warn("server.mappath=" & Server.MapPath("~/"))

                Trace.Warn("fullpath=" & fullPath)
                Trace.Warn("resolveUrl=" & ResolveUrl("~/"))
                Trace.Warn("appPath=" & appPath)
                Trace.Warn("A.litfoldername.Text=" & litfoldername.Text)
                Dim folder As String = appPath & Me.litfoldername.Text
                folder = Replace(folder, "//", "/")

                'path = Replace(path, "//", "/")
                'path = Replace(path, "/", "\")
                'path = Replace(path, "\\", "\")

				
                litfoldername.Text = folder
                Trace.Warn("B.folderName=" & litfoldername.Text)

                Me.litImageField.Text = Request("imagefield")

                Me.binddgList()

                Dim backcolor As String = ConfigurationManager.AppSettings("backcolor")
                Dim forecolor As String = ConfigurationManager.AppSettings("forecolor")
                Me.btnSubmit.ForeColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.btnSubmit.BackColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.btnSubmit.Font.Bold = True

                Me.dgList.HeaderStyle.BackColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.dgList.HeaderStyle.ForeColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.dgList.HeaderStyle.Font.Bold = True

            Catch ex As Exception
                Trace.Warn("Error: " & ex.Message & ", " & ex.StackTrace)
            End Try
        End If
    End Sub




    '------------------------------------------------------------------------
    ' saving Information -- when creating item, or editing as admin
    '------------------------------------------------------------------------
    Public Sub SaveFile(ByVal sender As Object, ByVal e As System.EventArgs)

        If (Me.txtImageNameUpload.Value = "") Then
            Me.litMessage.Text = "<font color=red>Select a file to upload</font><br>"
            Exit Sub
        End If
        Try

            '--check to see if we need to upload an image or a file first
            Dim fileNameStart As String = ""

            Dim folder As String = litfoldername.Text
            'Dim baseFolder As String = ResolveUrl("~/").ToLower()
            'If (folder.StartsWith(baseFolder)) Then
            '    folder = folder.Substring(baseFolder.Length)
            '    If (Not folder.StartsWith("/")) Then
            '        folder = "/" & folder
            '    End If
            'End If
            litfoldername.Text = folder

            'Dim imagename As String = objdata.UploadImage(Me.txtImageNameUpload, Me.litfoldername.Text, Me.litImageName_Error, , Me.pnlImageName, fileNameStart)
            Trace.Warn("imagename=" & Me.txtImageNameUpload.Value)
            Trace.Warn("foldername=" & folder)

            Dim imagename As String = Uploads.UploadImage(Me.txtImageNameUpload, Me.litfoldername.Text, Me.litImageName_Error, , Me.pnlImageName, fileNameStart)


            '--copy image for MGWP userdocs folder
            If (Me.litCopyImage.Text = "yes") Then
                Dim fullPath As String = Server.MapPath("~/") & folder
                fullPath = fullPath.Replace("/", "\")
                fullPath = fullPath.Replace("\\", "\")
                Dim fullpath_orig As String = fullPath
                Dim copy_path As String = fullPath.Replace("igwp", "mgwp")
                Trace.Warn("fullpath=" & fullPath)
                Trace.Warn("MN. copy_path=" & copy_path)
                Try
                    System.IO.File.Copy(fullPath & imagename, copy_path & imagename)
                    Trace.Warn("--file copied successfully!--")
                Catch ex As Exception
                    Trace.Warn("--error copying file-- (MN): " & ex.Message & "; " & ex.StackTrace)
                End Try

                '--RV 12/21/13 copy for the Illinois site as well
                copy_path = fullpath_orig.Replace("igwp", "illinoisgwp")
                Trace.Warn("ILL. copy_path=" & copy_path)
                Try
                    System.IO.File.Copy(fullPath & imagename, copy_path & imagename)
                    Trace.Warn("--file copied successfully!--")
                Catch ex As Exception
                    Trace.Warn("--error copying file-- (IL): " & ex.Message & "; " & ex.StackTrace)
                End Try


            End If


            If (imagename = "**error**") Then
                Response.Write("<p><b>Error: Unable to save file</b></p>")
                Exit Sub
            End If

            If (Request("fck") = "yes") Then
                Me.binddgList()
            Else
                Me.pnlUpload.Visible = False
                Me.phConfirm.Visible = True
                Me.litImageName_Error.Text = imagename
                Me.litImageName_Error2.Text = imagename
            End If


        Catch ex As Exception
            Response.Write("<p><b>Error: Unable to save file: " & ex.Message & "</b></p>")
            Trace.Write("saveRecord", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try

    End Sub


    '---------------------------------------------
    ' displaying list 
    '---------------------------------------------
    Private Sub binddgList()
        '-- load up the datagrid now
        Dim query As String = ""

        Dim sort As String = "Filename"
        If Len(ViewState("sortupload")) > 0 Then sort = ViewState("sortupload")

        Dim dtable As New DataTable()
        dtable.Columns.Add(New DataColumn("filename", GetType(String)))
        dtable.Columns.Add(New DataColumn("filesize", GetType(Long)))
        dtable.Columns.Add(New DataColumn("LastModified", GetType(Date)))
        dtable.Columns.Add(New DataColumn("fullname", GetType(String)))

        Dim folder As String = litfoldername.Text.ToLower
        Dim basePath As String = ResolveUrl("~/").ToLower
        If (Not folder.StartsWith(basePath)) Then
            folder = basePath & folder
        End If
        Dim path As String = Server.MapPath("/") & folder
        path = Replace(path, "//", "/")
        path = Replace(path, "/", "\")
        path = Replace(path, "\\", "\")
        'If (path.EndsWith("\")) Then path = path.Substring(0, path.Length - 1)


        Trace.Warn("binddglist", "path=" & path)
        Dim di As New IO.DirectoryInfo(path)
        Dim aFileInfo As IO.FileInfo() = di.GetFiles()

        'list the names of all files in the specified directory
        Dim count As Integer = 0
        For Each fi As FileInfo In aFileInfo
            count += 1
            Dim drow As DataRow = dtable.NewRow()
            drow("filename") = fi.Name
            drow("filesize") = fi.Length / 1000
            drow("lastmodified") = fi.LastWriteTime
            drow("fullname") = Me.litfoldername.Text & "/" & fi.Name
            dtable.Rows.Add(drow)
        Next
        Trace.Warn("filecount=" & count)


        If (dtable.Rows.Count = 0) Then
            Me.dgList.Visible = False
            Me.litMessage_file.Visible = False
        Else
            Me.litMessage_file.Visible = True
            If (dtable.Rows.Count < Me.dgList.PageSize) Then
                Me.dgList.PagerStyle.Visible = False
            Else
                Me.dgList.PagerStyle.Visible = True
            End If
            Me.dgList.Visible = True
        End If
        Me.dgList.DataSource = dtable
        Me.dgList.DataBind()

        dtable = Nothing

    End Sub

    Sub dgList_onitemdatabound(ByVal s As Object, ByVal e As DataGridItemEventArgs) Handles dgList.ItemDataBound
        If (e.Item.ItemType = ListItemType.AlternatingItem) Or (e.Item.ItemType = ListItemType.Item) Then
            Try
                If Request("fck") = "yes" Then
                    CType(e.Item.FindControl("phFckUpload"), PlaceHolder).Visible = True
                    CType(e.Item.FindControl("phUploadAdmin"), PlaceHolder).Visible = False
                End If
            Catch ex As Exception
                Trace.Warn("OnItemDataBound error: " & ex.StackTrace)
            End Try

            If e.Item.ItemType = ListItemType.Item Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='white'")
            End If
            If e.Item.ItemType = ListItemType.AlternatingItem Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='#f0f3ff'")
            End If
            'e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='" & headerHead_inc.getAccentBg() & "'")
            e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='#f0f0a0'")

        ElseIf (e.Item.ItemType = ListItemType.EditItem) Then
        End If

        'Dim lb As ImageButton = CType(e.Item.FindControl("ibtnDel"), ImageButton)
        'If Not lb Is Nothing Then
        '    lb.Attributes.Add("onClick", "return confirm('Are you sure you wish to delete this item?\nID=" & e.Item.DataItem(idfield) & "')")
        'End If
    End Sub
    Sub dgList_command(ByVal s As Object, ByVal e As DataGridCommandEventArgs)
        Trace.Write("command=" & e.CommandName.ToString())
        If (e.CommandName.ToString() = "Update") Then
        ElseIf (e.CommandName.ToString() = "Delete") Then
            Try

            Catch ex As Exception
                Trace.Warn("deleting...", "Error: " & ex.Message & "; " & ex.StackTrace)
            End Try

        End If
    End Sub
    Sub dgList_SortCommand(ByVal s As Object, ByVal e As DataGridSortCommandEventArgs)
        Trace.Write("inside sortCommand=" & e.SortExpression.ToString)
        Dim sort As String = e.SortExpression
        If (ViewState("sortupload") = sort) Then
            sort += " desc"
        End If
        ViewState("sortupload") = sort
        dgList.CurrentPageIndex = 0
        binddgList()
    End Sub
    Sub dgList_PageIndexChanged(ByVal s As Object, ByVal e As DataGridPageChangedEventArgs)
        dgList.CurrentPageIndex = e.NewPageIndex
        binddgList()
    End Sub


End Class

