Imports System.IO
Imports System.Data.SqlClient
Imports System.Data
Imports RV = RvDataUtil.Formatting



Public Class admin_users
    Inherits System.Web.UI.Page

    Dim count As Integer = 0

    Public siteURL As String = ""
    Dim objData As New RvDataUtil.DataUtil
    Dim strError As String = ""
    Dim aList As New ArrayList()

    Dim idfield As String = "userID"
    Dim tablename As String = "tblAdmin_Users"
    Public pagetitle As String = "Admin Users"

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here
        siteURL = ConfigurationManager.AppSettings("siteURL")

        If (Not BusinessLogic.IsLoggedIn_admin) Then
            Response.Redirect("~/admin/admin.aspx")
        End If

        If (Not IsPostBack) Then
            Try

                binddgList()

                Dim backcolor As String = ConfigurationManager.AppSettings("backcolor")
                Dim forecolor As String = ConfigurationManager.AppSettings("forecolor")
                Me.btnSubmit.ForeColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.btnSubmit.BackColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.btnSubmit.Font.Bold = True

                Me.dgList.HeaderStyle.BackColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.dgList.HeaderStyle.ForeColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.dgList.HeaderStyle.Font.Bold = True

            Catch ex As Exception
                Trace.Warn("Error: " & ex.Message & ", " & ex.StackTrace)
            End Try
        End If
    End Sub

    Sub click_search(ByVal s As Object, ByVal e As System.EventArgs) Handles btnSearch.Click
        binddgList()
    End Sub


    '---------------------------------------------
    ' displaying list 
    '---------------------------------------------
    Private Sub binddgList()
        '-- load up the datagrid now
        Dim query As String = ""

        Dim sort As String = "username"
        Dim qrywhere As String = "(1=1)"
        If (Me.txtSearch_name.Text <> "") Then
            Dim srch As String = Replace(Me.txtSearch_name.Text, "'", "''")
            qrywhere += " and ((username like '%" & srch & "%') or (firstname like '%" & srch & "%') or (lastname like '%" & srch & "%'))"
        End If
        If Len(ViewState("sortUsers")) > 0 Then sort = ViewState("sortUsers")

        query = "Select u.* " & _
                " From " & tablename & " u " & _
                "Where (u.security_level <> 999) and (" & qrywhere & ") Order by " & sort
        Trace.Write("query=" & query)
        Dim ds As DataSet = objdata.GetValueDataSet(query, "list", "")

        If (ds.Tables(0).Rows.Count = 0) Then
            Me.dgList.Visible = False
            Me.litMessage.Text = "There are currently no users."
        Else
            If (ds.Tables(0).Rows.Count < Me.dgList.PageSize) Then
                Me.dgList.PagerStyle.Visible = False
            Else
                Me.dgList.PagerStyle.Visible = True
            End If
            Me.dgList.Visible = True
            Me.litMessage.Text = "<br>There are " & ds.Tables(0).Rows.Count & " records"
        End If
        Me.dgList.DataKeyField = idfield
        Me.dgList.DataSource = ds
        Me.dgList.DataBind()

        ds = Nothing
        objdata.CloseConnection()
    End Sub

    Sub dgList_onitemdatabound(ByVal s As Object, ByVal e As DataGridItemEventArgs) Handles dgList.ItemDataBound
        If (e.Item.ItemType = ListItemType.AlternatingItem) Or (e.Item.ItemType = ListItemType.Item) Then
            Try
                CType(e.Item.FindControl("litDatagridID"), Literal).Text = objData.Nz(e.Item.DataItem(idfield), "")
                Trace.Write("dgList", "litDatagridID=" & objData.Nz(e.Item.DataItem(idfield), ""))

                Dim litSecurity As Literal = CType(e.Item.FindControl("litSecurity"), Literal)
                Dim sec As String = objData.Nz(e.Item.DataItem("security_level"), "")
                If (sec = "99") Then
                    litSecurity.Text = "Admin"
                Else
                    litSecurity.Text = "Standard"
                End If



            Catch ex As Exception
                Trace.Warn("OnItemDataBound error: " & ex.StackTrace)
            End Try

            If e.Item.ItemType = ListItemType.Item Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='white'")
            End If
            If e.Item.ItemType = ListItemType.AlternatingItem Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='#f0f3ff'")
            End If
            'e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='" & headerHead_inc.getAccentBg() & "'")
            e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='#f0f0a0'")

        ElseIf (e.Item.ItemType = ListItemType.EditItem) Then
        End If

        Dim lb As ImageButton = CType(e.Item.FindControl("ibtnDel"), ImageButton)
        If Not lb Is Nothing Then
            lb.Attributes.Add("onClick", "return confirm('Are you sure you wish to delete this item?\nID=" & e.Item.DataItem(idfield) & "')")
        End If
    End Sub
    Sub dgList_command(ByVal s As Object, ByVal e As DataGridCommandEventArgs)
        Trace.Write("command=" & e.CommandName.ToString())
        If (e.CommandName.ToString() = "Update") Then
        ElseIf (e.CommandName.ToString() = "Delete") Then
            Try
                Dim ID As String = CType(e.Item.FindControl("litDatagridID"), Literal).Text
                Trace.Write("IN DELETE. ID=" & ID)
                Dim dgi As DataGridItem = Me.dgList.Items(e.Item.ItemIndex)

                Dim qry As String = "DELETE From " & tablename & " WHERE " & idfield & "=" & ID
                objData.GetValueDataSet(qry, "table", "")

                objData.CloseConnection()
                dgList.EditItemIndex = -1
                Me.binddgList()
            Catch ex As Exception
                Trace.Warn("deleting...", "Error: " & ex.Message & "; " & ex.StackTrace)
            End Try

        ElseIf (e.CommandName.ToString() = "Edit") Then
            Dim ID As String = CType(e.Item.FindControl("litDatagridID"), Literal).Text
            Me.loadForm(ID)
        End If
    End Sub
    Sub dgList_SortCommand(ByVal s As Object, ByVal e As DataGridSortCommandEventArgs)
        Trace.Write("inside sortCommand=" & e.SortExpression.ToString)
        Dim sort As String = e.SortExpression
        If (sort = "ID") Then sort = idfield
        If (ViewState("sortUsers") = sort) Then
            sort += " desc"
        End If
        ViewState("sortUsers") = sort
        dgList.CurrentPageIndex = 0
        binddgList()
    End Sub
    Sub dgList_PageIndexChanged(ByVal s As Object, ByVal e As DataGridPageChangedEventArgs)
        dgList.CurrentPageIndex = e.NewPageIndex
        binddgList()
    End Sub




    Public Sub ShowList(ByVal sender As Object, ByVal e As System.EventArgs)
        Trace.Write("showlist...")
        Me.pnlDatagrid.Visible = True
        Me.pnlEditForm.Visible = False
    End Sub
    Public Sub AddNew(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.loadForm("")
    End Sub


    Sub loadForm(Optional ByVal ID As String = "")
        Trace.Write("inside LoadForm.ID=" & ID)
        Me.pnlDatagrid.Visible = False
        Me.pnlEditForm.Visible = True

        If Len(ID) > 0 And IsNumeric(ID) Then
            litEditForm.Text = "Edit " & pagetitle & ":"
        Else
            litEditForm.Text = "Add New " & pagetitle & ":"
            ID = "-1"
        End If

        Try

            Dim query As String = ""

            '--load up the admin areas listbox
            query = "Select * from tblAdmin_Areas order by areaname"
            Dim drBU As SqlDataReader = objData.ExecuteDataReader(query, "")
            Me.cboxAdminAreaID.DataTextField = "areaname"
            Me.cboxAdminAreaID.DataValueField = "adminareaID"
            Me.cboxAdminAreaID.DataSource = drBU
            Me.cboxAdminAreaID.DataBind()



            query = ""
            If (ID = "") Then ID = "0"

            Dim aList As New ArrayList()
            aList.Add(RV.getDbIntNull(ID, 0))

            Dim dr As SqlDataReader = objData.GetDataReaderSP("usp_AdminUserInfo", aList)
            If (dr.Read) Then
                Trace.Write("setting up form fields -- edit")
                Me.litID.Text = objData.Nz(dr("userID"), "")
                Me.txtUsername.Text = objData.Nz(dr("username"), "")
                Me.txtPassword.Text = objData.Nz(dr("password"), "")
                Me.txtRealName.Text = objData.Nz(dr("realname"), "")
                Me.drpSecurityLevel.SelectedIndex = drpSecurityLevel.Items.IndexOf(drpSecurityLevel.Items.FindByValue(objData.Nz(dr("Security_Level"), "")))

                Me.rblActive.SelectedIndex = rblActive.Items.IndexOf(rblActive.Items.FindByValue(RV.getDbIntNull(dr("active"), 0)))
                Me.litCreateDate.Text = objData.Nz(dr("createdate"), "")
                Me.litCreatedBy.Text = objData.Nz(dr("createdby"), "")
                Me.litModifyDate.Text = objData.Nz(dr("modifydate"), "")
                Me.litModifiedBy.Text = objData.Nz(dr("modifiedby"), "")
                Me.litLastLogin.Text = objData.Nz(dr("lastlogin"), "")
                Me.litTimesLoggedIn.Text = objData.Nz(dr("timesloggedin"), "")

                dr.NextResult()

                While (dr.Read)
                    Trace.Warn("adminareaID=" & dr("adminareaID"))
                    For Each li As ListItem In Me.cboxAdminAreaID.Items
                        If (li.Value.ToString() = dr("adminareaID").ToString()) Then
                            li.Selected = True
                        End If
                    Next
                End While


            Else
                Me.litID.Text = ""
                Me.txtUsername.Text = ""
                Me.txtPassword.Text = ""
                Me.txtRealName.Text = ""
                Me.drpSecurityLevel.SelectedIndex = -1
                Me.rblActive.SelectedIndex = 0

                Me.litCreateDate.Text = ""
                Me.litCreatedBy.Text = ""
                Me.litModifyDate.Text = ""
                Me.litModifiedBy.Text = ""
                Me.litLastLogin.Text = ""
                Me.litTimesLoggedIn.Text = ""
            End If
            dr.Close()
            dr = Nothing
            objData.CloseConnection()

        Catch ex As Exception
            Trace.Warn("loadSummary", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try
        objData.CloseConnection()
    End Sub



    '------------------------------------------------------------------------
    ' saving Information -- when creating item, or editing as admin
    '------------------------------------------------------------------------
    Public Sub SaveRecord(ByVal sender As Object, ByVal e As System.EventArgs)
        Trace.Write("saverecord", "ID=" & Me.litID.Text)
        Dim ID As String = Me.litID.Text
        If (ID = "") Then ID = "0"
        If (Not Page.IsValid) Then
            Exit Sub
        End If

        Dim aList As New ArrayList()
        aList.Add(Me.txtUsername.Text)
        aList.Add(Me.txtPassword.Text)
        aList.Add(Me.txtRealName.Text)
        aList.Add(RV.getDbIntNull(Me.drpSecurityLevel, 0))
        aList.Add(RvDataUtil.Formatting.getDbBit(Me.rblActive))
        aList.Add(BusinessLogic.GetLoginInfo_admin("name"))       '--user
        aList.Add(RV.getDbIntNull(ID, 0))    '--userID

        Dim strError As String = ""
        ID = objdata.ExecuteSPOutput("usp_insertAdminUser", aList, "@userID", strError)
        If (strError <> "") Then
            Trace.Warn("error inserting: " & strError)
            Exit Sub
        End If

        If ID = "" Then ID = "0"


        '--now updating their access areas (have to whipe them out first)
        Dim qry As String = "DELETE From tblAdmin_users_areas WHERE userID=" & ID
        objdata.GetValueDataSet(qry, "table", "")

        For Each li As ListItem In Me.cboxAdminAreaID.Items
            If (li.Selected) Then
                aList.Clear()
                aList.Add(RV.getDbIntNull(ID, 0))
                aList.Add(RV.getDbIntNull(li.Value, 0))
                strError = ""
                objData.ExecuteSP("usp_insertAdminUser_Areas", aList, strError)
                If (strError <> "") Then
                    Trace.Warn("error: " & strError)
                End If
            End If
        Next


        Me.pnlDatagrid.Visible = True
        Me.pnlEditForm.Visible = False
        Me.binddgList()
    End Sub



End Class

