<!DOCTYPE html>
<html>
    <head>
        <title>Services | Corner Stone Landscaping, Adair Iowa</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="css/bootstrap.min.css" rel="stylesheet" media="screen">
        <link href="css/bootstrap-responsive.min.css" rel="stylesheet" media="screen">
        <link href="css/csl.css" rel="stylesheet" media="screen">
        
        <!-- HTML5 shim for IE backwards compatibility -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    
      <link REL="SHORTCUT ICON" href="favicon.ico" /> 
    
        <meta name="description" content="Corner Stone Landscaping provides a variety of landscaping and tree care services in central Iowa.">
        
<meta name="keywords" content="Patios, Retaining Walls, Landscape Lighting, Firepits, Outdoor Kitchens, Boulders, Stonework, Lake Panorama, Panora, Guthrie Center, Atlantic, Tree Care, Perennials.">
        
    </head>

<body>
<div style="background-color:#fff;">
<div class="visible-phone">
	<div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <button class="btn btn-navbar collapsed" data-target=".nav-collapse" data-toggle="collapse"  type="button">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a href="#" class="brand">Menu</a>
          <div class="nav-collapse collapse">
            <ul class="nav">
              <li class=""><a href="default.asp" >Home</a></li>
              <!--<li class=""><a href="about_us.asp">About Us</a></li>-->
              <li class="active"><a href="services.asp">Services</a></li>
              <li class=""><a href="portfolio.aspx">Portfolio</a></li>
<li class=""><a href="products.asp">Products</a></li>
<li><a href="apply.asp">Apply</a></li>
              <li class=""><a href="contact_us.asp">Contact Us</a></li>

            </ul>
          </div>
        </div>
      </div>
    </div>
</div>
<div class="container">
	<div class="row top">
   	  <div class="span12">
        
        <a href="default.asp"><h1 class="logo">Corner Stone Landscaping</h1></a>
        
         <div class="nav_container">
          <span class="phone"> Need a Quote? (641) 742-3009</span>
           <ul class="nav nav-pills">
           <li class=""><a href="default.asp" >Home</a></li>
              <!--<li class=""><a href="about_us.asp">About Us</a></li>-->
              <li class="active"><a href="services.asp">Services</a></li>
              <li class=""><a href="portfolio.aspx">Portfolio</a></li>
<li class=""><a href="products.asp">Products</a></li>
<li><a href="apply.asp">Apply</a></li>
              <li class=""><a href="contact_us.asp">Contact Us</a></li>
            </ul>
            </div>
        
            
            
           
            
      <!--end of span12--></div>
        
         
         

    
    
    <!--end of row--></div>
<!--end of container--></div>

<div class="inside_wrap">

	<div class="container">
    	<div class="row">
        	<div class="span12">
            <h1>Commercial and Residential Landscaping Services</h1>
            	<div class="pad">
                <div class="pic_right"><img src="img/before.jpg" alt="Corner Stone Landscaping"><br>
<img src="img/after.jpg" alt="Corner Stone Landscaping"></div>
              
              <p>The professional's at Corner Stone Landscaping can fulfill all of your Landscaping needs. Our skilled craftsmen are proficient in a variety of project types, including:</p>
                

<h2>Patios</h2>
<p>Whether you are looking to build a new patio, or upgrade an existing patio, our team can help beautify your outdoor living space!</p>

<h2>Retaining Walls</h2>
<p>If you are looking for a way to turn an undesirable slope into a more usable space, let our landscaping specialists transform your property into a accessible and functional location.</p>

<h2>Landscape Lighting and Maintenance</h2>
<p>You spend a lot of time making your home look it's best! Check out our custom lighting solutions to help display and illuminate your hard work!</p>

<h2>Firepits</h2>
<p>Looking for a relaxing getaway? Consider the benefits of adding a stunning brick or stone firepit to your property! A cozy night by the fire could be the missing piece to your nightlife.</p>

<h2>Outdoor Kitchens</h2>
<p>Do you like to host or entertain parties? Are you looking for a creative, and beautiful way to increase your property and turn your home into the envy of the neighborhood? An outdoor kitchen might be the perfect solution!</p>

<h2>Boulders/Stonework</h2>
<p>Are you looking for a unique way to add some character to your home and property? Corner Stone Landscaping has the muscle, and tools, to help transform a previously average
lawn and landscape into a stunning display!</p>

<h2>Trees, Shrubs and More</h2>
<p>If you are looking for some finishing touches, to help highlight and brighten your landscape - consider the benefits and curb appeal that can be attained with a hand picked display of flowers and plants. If you are looking for a natural way to help prevent erosion, or improve the privacy of your property - consider the benefits that can be attained with the addition of trees (for you and the environment)! <a href="http://www.monrovia.com/" target="_blank">View  the plant materials we will use in your design!</a></p>


                
                
                <!--end of pad-->
            	</div>
        	</div>
        </div>
    </div>

<!--end of inside_wrap--></div>

</div>
<!--#include file="footer.inc" -->




<script src="http://code.jquery.com/jquery.js"></script>
<script src="js/bootstrap.min.js"></script>

</body>
</html>